/* https://github.com/supabase/ui/blob/develop/src/components/Dropdown/Dropdown.module.css */

.sbui-dropdown-item {
  @apply text-xs;
  @apply text-typography-body-light dark:text-typography-body-dark;
  @apply px-4 py-1.5 flex items-center space-x-2;
  @apply cursor-pointer;
  @apply focus:bg-bg-secondary-light dark:focus:bg-bg-primary-dark border-none;
  cursor: "default";
}

.sbui-dropdown-item svg {
  @apply text-typography-body-secondary-light dark:text-typography-body-secondary-dark;
}

.sbui-dropdown-label {
  @apply text-typography-body-secondary-light dark:text-typography-body-secondary-dark;
  @apply px-4 py-1.5 flex items-center space-x-2;
  font-size: 0.65rem;
}

.sbui-dropdown-misc {
  @apply px-4 py-1.5;
}

.sbui-dropdown-item:focus-visible {
  border: none;
  outline: none;
}

.sbui-dropdown-input {
  @apply flex items-center space-x-2;
}

.sbui-dropdown-input__check {
  @apply flex items-center;
}

.sbui-dropdown__content {
  @apply bg-bg-primary-light dark:bg-bg-primary-dark p-0;
  @apply rounded;
  @apply border border-lightmode dark:border-darkmode;
  @apply shadow;
  overflow: visible;
  border-style: solid;
  border-width: 1px;
}

.sbui-dropdown__trigger {
  @apply border-none bg-transparent p-0 focus:ring-0;
}
